﻿/* General
----------------------------*/
/*#region General */
body {
    /*background-color: #CCCCCC;*/
    /*background-color: rgb(204, 240, 220);*/
    /*background-image: -webkit-gradient(linear, left top, left bottom, from(#CCCCCC), to(#ffffff));
    background-image: -webkit-linear-gradient(top, #CCCCCC, #ffffff);
    background-image: -moz-linear-gradient(top, #CCCCCC, #ffffff);
    background-image: -o-linear-gradient(top, #CCCCCC, #ffffff);
    background-image: linear-gradient(to bottom, #CCCCCC, #ffffff);
    background-repeat: no-repeat;*/
    /*background-attachment: fixed;*/
    padding-top: 0px;
}
.stretch {
    width: 100%;
}
.stretch-vertical{
    height:100%;
}
.disable-visible .ui-state-disabled {
    opacity: .85 !important;
}
.space-sides-0 {
    padding-left: 0px !important;
    padding-right: 0px !important;
    margin-left: 0px !important;
    margin-right: 0px !important;
}
.row-space {
    padding-top: 5px !important;
    padding-bottom: 5px !important;
}
.row-space-lg {
    padding-top: 10px;
    padding-bottom: 10px;
}

.emailListBox{
    min-height: 120px !important;
}
.fileUpload {
     padding-top: 4px !important;
     padding-bottom: 4px !important;
     padding-left: 5px !important;
    max-width: 100% !important;
}
.sm {
     font-size: 85% !important;
}
.xs {
     font-size: 70% !important;
}

.approved {
    border-color: #5cb85c;
}
.approved-span {
    color: #5cb85c !important;
}
.approved .panel-heading {
    border-color: #5cb85c;
    background-color: #5cb85c;
}

.attention {
    border-color: #f0ad4e;
}
.attention-span {
    color: #f0ad4e !important;
}
.attention .panel-heading{
    border-color: #f0ad4e;
    background-color: #f0ad4e;
}

.disapproved{
    border-color: #D46A6A;
}
.disapproved-span {
    color: #D46A6A !important;
}
.disapproved .panel-heading {
    border-color: #D46A6A;
    background-color: #D46A6A;
}

.panel-borderless {
    -moz-border-radius: 0px !important;
    -webkit-border-radius: 0px !important;
    border-radius: 0px !important;
    border-width: 0px !important;
}
.text-error {
    color: #ff0000;
}

.full-overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 1050;
    background-color: rgba(0,0,0,0.8);
}
/*#endregion */

/* Bootstrap Button
----------------------------*/
.btn.disabled, .btn[disabled], fieldset[disabled] .btn{
    opacity: .40 !important;
}

/* Bootstrap Navbar
----------------------------*/
/*#region Boostrap Navbar */
.navbar-brand {
    padding-top: 7px;
}
.user-a {
    padding-top: 10px !important;
    padding-bottom: 10px !important;
    cursor: pointer;
}
#uxNavBar > li {
    cursor: pointer;
}
/*#endregion */

/* Bootstrap Popover
----------------------------*/
/*#region Boostrap Popover */
.popover-title {
    background-color: #3c3c3c !important;
    border-color: #3c3c3c;
    color: #fff !important;
    background-image: -webkit-linear-gradient(top, #3c3c3c 0%, #222 100%);
    background-image: -o-linear-gradient(top, #3c3c3c 0%, #222 100%);
    background-image: -webkit-gradient(linear, left top, left bottom, from(#3c3c3c), to(#222));
    background-image: linear-gradient(to bottom, #3c3c3c 0%, #222 100%);
    background-repeat: repeat-x;
}
/*#endregion */

/* Bootstrap Panel
----------------------------*/
/*#region Bootstrap Panel */
.panel-primary{
    border-color: #3c3c3c;
}
.panel-primary>.panel-heading {
    background-color: #3c3c3c;
    border-color: #3c3c3c;
    color: #fff !important;
    background-image: -webkit-linear-gradient(top, #3c3c3c 0%, #222 100%);
    background-image: -o-linear-gradient(top, #3c3c3c 0%, #222 100%);
    background-image: -webkit-gradient(linear, left top, left bottom, from(#3c3c3c), to(#222));
    background-image: linear-gradient(to bottom, #3c3c3c 0%, #222 100%);
    background-repeat: repeat-x;
}
div.panel-heading > h3{
    margin-top: 5px;
    margin-bottom: 5px;
}
/*#endregion */

/* Bootstrap Jumbotron
----------------------------*/
/*#region Bootstrap Jumbotron */
.jumbotron-sm {
    padding-top: 20px;
    padding-bottom: 20px;
   
    
}
/*#endregion */

/* Bootstrap Progress Bars
----------------------------*/
#uxOverallProgressControl{
    height: 50px !important;
}
#uxOverallProgressBar{
    height: 50px !important;
}
#uxOverallPercentage{
    line-height: 50px !important;
    font-size: 20px;
}
.progress-bar-default{
    background-color: #3c3c3c;
}
/* Bootstrap Modals
----------------------------*/
/*#region Bootstrap Modals */
.modal-header {
    background-color: #3c3c3c !important;
    background: -webkit-linear-gradient(top, #3c3c3c 0%, #222 100%);
    background: -o-linear-gradient(top, #3c3c3c 0%, #222 100%);
    background: -webkit-gradient(linear, left top, left bottom, from(#3c3c3c), to(#222));
    background: linear-gradient(to bottom, #3c3c3c 0%, #222 100%);
    background-repeat: repeat-x;
    color: white;
}
.modal-body {
    background: #ffffff;
    background: -webkit-gradient(linear, left top, left bottom, from(#CCCCCC), to(#ffffff));
    background: -webkit-linear-gradient(top, #CCCCCC, #ffffff);
    background: -moz-linear-gradient(top, #CCCCCC, #ffffff);
    background: -o-linear-gradient(top, #CCCCCC, #ffffff);
    background: linear-gradient(to bottom, #CCCCCC, #ffffff);
    background-repeat: no-repeat;
    background-attachment: fixed;
}
.modal-footer {
    background-color: #3c3c3c !important;
    background: -webkit-linear-gradient(top, #3c3c3c 0%, #222 100%);
    background: -o-linear-gradient(top, #3c3c3c 0%, #222 100%);
    background: -webkit-gradient(linear, left top, left bottom, from(#3c3c3c), to(#222));
    background: linear-gradient(to bottom, #3c3c3c 0%, #222 100%);
    /*background: -webkit-linear-gradient(top, #222 0%, #3c3c3c 100%);
    background: -o-linear-gradient(top, #222 0%, #3c3c3c 100%);
    background: -webkit-gradient(linear, left top, left bottom, from(#222), to(#3c3c3c));
    background: linear-gradient(to bottom, #222 0%, #3c3c3c 100%);*/
    background-repeat: repeat-x;
    color: white;
}
.modal-content {
    border: 0px !important;
    -moz-border-radius: 0px !important;
    -webkit-border-radius: 0px !important;
    border-radius: 0px !important;
}
.close {
    color: #FFF;
}
.close:hover {
    color: #fff;
}
/*#endregion */


/* Font Awesome
----------------------------*/
/*#region Font Awesome */

.fa {
     vertical-align: 0% !important;
}
.fa-question-circle {
     padding-right: 3px !important;
    padding-top:3px !important;
}

.fa-full-line {
     line-height: 1em !important;
}

.fa-pulse {
    -webkit-animation: pulsate 1.5s ease-in-out;
    -moz-animation: pulsate 1.5s ease-in-out;
    -o-animation: pulsate 1.5s ease-in-out;
    animation: pulsate 1.5s ease-in-out;
    -webkit-animation-iteration-count: infinite;
    -moz-animation-iteration-count: infinite;
    -o-animation-iteration-count: infinite;
    animation-iteration-count: infinite;
}
.fa-pulse-short {
    -webkit-animation: pulsate .3s linear;
    -moz-animation: pulsate .3s linear;
    -o-animation: pulsate .3s linear;
    animation: pulsate .3s linear;
    -webkit-animation-iteration-count: 2;
    -moz-animation-iteration-count: 2;
    -o-animation-iteration-count: 2;
    animation-iteration-count: 2;
}
.fa-pulse-long {
    -webkit-animation: pulsate .5s linear;
    -moz-animation: pulsate .5s linear;
    -o-animation: pulsate .5s linear;
    animation: pulsate .5s linear;
    -webkit-animation-iteration-count: 5;
    -moz-animation-iteration-count: 5;
    -o-animation-iteration-count: 5;
    animation-iteration-count: 5;
}
@-webkit-keyframes pulsate {
    0% {
        -webkit-transform: scale(0.75, 0.75);
        opacity: .75;
    }

    50% {
        -webkit-transform: scale(1.2, 1.2);
        opacity: 1;
    }

    100% {
        -webkit-transform: scale(0.75, 0.75);
        opacity: .75;
    }
}
@-moz-keyframes pulsate {
    0% {
        -moz-transform: scale(0.75, 0.75);
        opacity: .75;
    }

    50% {
        -moz-transform: scale(1.2, 1.2);
        opacity: 1;
    }

    100% {
        -moz-transform: scale(0.75, 0.75);
        opacity: .75;
    }
}
@-ms-keyframes pulsate {
    0% {
        -ms-transform: scale(0.75, 0.75);
        opacity: .75;
    }

    50% {
        -ms-transform: scale(1.2, 1.2);
        opacity: 1;
    }

    100% {
        -ms-transform: scale(0.75, 0.75);
        opacity: .75;
    }
}
@keyframes pulsate {
    0% {
        transform: scale(0.75, 0.75);
        opacity: .75;
    }

    50% {
        transform: scale(1.2, 1.2);
        opacity: 1;
    }

    100% {
        transform: scale(0.75, 0.75);
        opacity: .75;
    }
}
/*#endregion */

/* Login
----------------------------*/
/*#region Login Form */
.form-signin {
    max-width: 280px;
    padding: 19px 29px 29px;
    margin: 0 auto 20px;
    background-color: #fff;
    border: 1px solid #e5e5e5;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    border-radius: 5px;
    -webkit-box-shadow: 0 1px 2px rgba(0, 0, 0, 0.05);
    -moz-box-shadow: 0 1px 2px rgba(0, 0, 0, 0.05);
    box-shadow: 0 1px 2px rgba(0, 0, 0, 0.05);
}

.form-signin .form-signin-heading,
.form-signin .checkbox {
    margin-bottom: 10px;
}

.form-signin input[type="text"],
.form-signin input[type="password"] {
    font-size: 16px;
    height: auto;
    margin-bottom: 15px;
    padding: 7px 9px;
}
.btn-logout {
    display: block;
    padding: 3px 20px;
    clear: both;
    font-weight: normal;
    line-height: 20px;
    color: #333333;
    white-space: nowrap;
    text-decoration: none;
}
/*#endregion */

/* Error Page
----------------------------*/
/*#region Error Page */
.error-container {
    margin-top: 4em;
    margin-bottom: 4em;
    text-align: center;
}
.error-container h1 {
    margin-bottom: 0.5em;
    font-size: 122px;
    line-height: 1em;
}
.error-container h2 {
    margin-bottom: 0.75em;
    font-size: 28px;
}
.error-container a {
    text-decoration: none;
}
.error-container .error-details {
    margin-bottom: 1.5em;
    font-size: 16px;
}
.error-container .error-actions a {
    margin: 0.5em;
}
/*#endregion */

/* Datatables
----------------------------*/
/*#region Datatables */
.grid-button {
    width: 100px;
}
.attachment-grid-button {
    width: 75px;
}
.paginate_button
{
    padding: 0px 0px !important;
}
.scrollStyle
{
    overflow:auto;
}
.scrollStyle-y
{
    overflow:auto;
    /*overflow-y: auto !important;*/
    max-height:700px !important;
}

td{
    padding: 1px 3px 2px !important;
    /*cursor: pointer;*/
}

tbody > .even {
    background: #eee;
}

td > .btn {
    border-width: 0px;
    -moz-border-radius: 1px;
    -webkit-border-radius: 1px;
    border-radius: 1px;
}

.selected {
    background-color: #777 !important;
    color: #fff !important;
    background-image: -webkit-linear-gradient(top, #777 0%, #444 100%) !important;
    background-image: -o-linear-gradient(top, #777 0%, #444 100%) !important;
    background-image: -webkit-gradient(linear, left top, left bottom, from(#777), to(#444)) !important;
    background-image: linear-gradient(to bottom, #777 0%, #444 100%) !important;
    background-repeat: repeat-x;
}
#uxgvApprovers tbody tr th {
    margin-bottom: 0 !important;
    background-color: #3c3c3c !important;
    color: #fff !important;
    background-image: -webkit-linear-gradient(top, #3c3c3c 0%, #222 100%);
    background-image: -o-linear-gradient(top, #3c3c3c 0%, #222 100%);
    background-image: -webkit-gradient(linear, left top, left bottom, from(#3c3c3c), to(#222));
    background-image: linear-gradient(to bottom, #3c3c3c 0%, #222 100%);
    background-repeat: repeat-x;
}
div.scrollStyle table thead tr {
    margin-bottom: 0 !important;
    background-color: #3c3c3c !important;
    color: #fff !important;
    background-image: -webkit-linear-gradient(top, #3c3c3c 0%, #222 100%);
    background-image: -o-linear-gradient(top, #3c3c3c 0%, #222 100%);
    background-image: -webkit-gradient(linear, left top, left bottom, from(#3c3c3c), to(#222));
    background-image: linear-gradient(to bottom, #3c3c3c 0%, #222 100%);
    background-repeat: repeat-x;
}
div.scrollStyle-y table thead tr {
    margin-bottom: 0 !important;
    background-color: #3c3c3c !important;
    color: #fff !important;
    background-image: -webkit-linear-gradient(top, #3c3c3c 0%, #222 100%);
    background-image: -o-linear-gradient(top, #3c3c3c 0%, #222 100%);
    background-image: -webkit-gradient(linear, left top, left bottom, from(#3c3c3c), to(#222));
    background-image: linear-gradient(to bottom, #3c3c3c 0%, #222 100%);
    background-repeat: repeat-x;
}
div.tableStyle table thead tr {
    margin-bottom: 0 !important;
    background-color: #3c3c3c !important;
    color: #fff !important;
    background-image: -webkit-linear-gradient(top, #3c3c3c 0%, #222 100%);
    background-image: -o-linear-gradient(top, #3c3c3c 0%, #222 100%);
    background-image: -webkit-gradient(linear, left top, left bottom, from(#3c3c3c), to(#222));
    background-image: linear-gradient(to bottom, #3c3c3c 0%, #222 100%);
    background-repeat: repeat-x;
}

div.dataTables_filter input {
    width: inherit !important;
}

.btn-table {
     font-size: 12px;
    padding: 1px 4px !important;
    margin: 0px;
    background-color: #3c3c3c !important;
    color: #fff !important;
    background-image: -webkit-linear-gradient(top, #3c3c3c 0%, #222 100%);
    background-image: -o-linear-gradient(top, #3c3c3c 0%, #222 100%);
    background-image: -webkit-gradient(linear, left top, left bottom, from(#3c3c3c), to(#222));
    background-image: linear-gradient(to bottom, #3c3c3c 0%, #222 100%);
    background-repeat: repeat-x;
}
/*#endregion */

.help-button {
    padding: 0px !important;
}

.form-control-lg {
    font-size: 18px;
    line-height: 1.33;
    height: 46px;
}

#uxcbDelegateUser {
    min-width: 200px;
}